Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans
Class XMLStreamValidationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.xmlbeans.xml.stream.XMLStreamException
                      org.apache.xmlbeans.XMLStreamValidationException

All Implemented Interfaces:
  Serializable, org.apache.xmlbeans.xml.stream.utils.NestedThrowable

    public class XMLStreamValidationException

extends org.apache.xmlbeans.xml.stream.XMLStreamException

An exception thrown from a validating XMLInputStream.

See Also:
  `XmlObject.Factory.newValidatingXMLInputStream(org.apache.xmlbeans.xml.stream.XMLInputStream)`, `SchemaTypeLoader.newValidatingXMLInputStream(org.apache.xmlbeans.xml.stream.XMLInputStream, org.apache.xmlbeans.SchemaType, org.apache.xmlbeans.XmlOptions)`, Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.xmlbeans.xml.stream.utils.NestedThrowable
`org.apache.xmlbeans.xml.stream.utils.NestedThrowable.Util`

Field Summary

Fields inherited from class org.apache.xmlbeans.xml.stream.XMLStreamException
`th`

Constructor Summary
`XMLStreamValidationException(XmlError xmlError)`

Method Summary
`XmlError` | `getXmlError()`

Methods inherited from class org.apache.xmlbeans.xml.stream.XMLStreamException
`getMessage, getNested, getNestedException, printStackTrace, printStackTrace, printStackTrace, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLStreamValidationException

    public XMLStreamValidationException(XmlError xmlError)

Method Detail

### getXmlError

    public XmlError getXmlError()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD